Subject: bug#54111: guile bundles (a compiled version of) UnicodeData.txt and binaries

From: Timothy Sample <[email-masked]>
Date: Wed, 16 Mar 2022 17:42:13 -0600

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Timothy Sample <[email-masked]> skribis:
>
>> Of course, to use this script as part of the Guile build, someone™ will
>> have to double check that we can legally redistribute the Unicode data
>> file (probably okay, but always good to check), and update the build
>> rules to generate the C file.  I can’t guarantee that I’ll get to it....
>
> I’ll check with Andy if he’s fine with this option.  Would you like to
> turn it into a patch against Guile?  If not, I could do that.

I’ll do it.  It always feels good to submit a patch!

>> # unidata_to_charset.awk --- Compute SRFI-14 charsets from UnicodeData.txt
>> #
>> # Copyright (C) 2009, 2010, 2022 Free Software Foundation, Inc.
>
> Is this correct?  (Maybe yes because it’s a translation of the original
> Perl script, right?)

That’s my understanding.  This is technically a modification of the
original work, so the old copyright years are still relevant.

-- Tim